summaryrefslogtreecommitdiffstats
path: root/libraries/ode
diff options
context:
space:
mode:
author hollywoodb <hollywoodb@fastmail.fm>2010-05-11 14:56:23 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 14:56:23 +0200
commit83fe7f459477e709750c5cf24003ca1673069420 (patch)
treefe9d606d9fef541b958c748b30986edf8cea5b02 /libraries/ode
parentfa5d40c6c9310fcc68552d49057e8c00b483c818 (diff)
downloadslackbuilds-83fe7f459477e709750c5cf24003ca1673069420.tar.gz
slackbuilds-83fe7f459477e709750c5cf24003ca1673069420.tar.xz
libraries/ode: Initial import
Diffstat (limited to 'libraries/ode')
-rw-r--r--libraries/ode/README9
-rw-r--r--libraries/ode/ode.SlackBuild66
-rw-r--r--libraries/ode/ode.info8
-rw-r--r--libraries/ode/slack-desc9
4 files changed, 92 insertions, 0 deletions
diff --git a/libraries/ode/README b/libraries/ode/README
new file mode 100644
index 0000000000..392d0c23a2
--- /dev/null
+++ b/libraries/ode/README
@@ -0,0 +1,9 @@
+The Open Dynamics Engine (ODE) is a free, industrial quality library for
+simulating articulated rigid body dynamics. Proven applications include
+simulating ground vehicles, legged creatures, and moving objects in VR
+environments. It is fast, flexible and robust, and has built-in collision
+detection.
+
+NOTE: You must use "su -" instead of "su" to build this (or you can
+ source /etc/profile after plain 'su') so that /usr/X11R6 is in $PATH
+
diff --git a/libraries/ode/ode.SlackBuild b/libraries/ode/ode.SlackBuild
new file mode 100644
index 0000000000..abe40e9ffb
--- /dev/null
+++ b/libraries/ode/ode.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+## Written by hollywoodb (hollywoodb@fastmail.fm)
+
+## Feel free to use, modify, redistribute this script.
+## If you make changes please modify the "Written by"
+## so that I don't recieve emails about a script I
+## did not write. Thanks.
+
+# Modified by the SlackBuilds.org project
+
+if [ "$(id -u)" != "0" ]; then
+ echo "This script must be run as root!"
+ exit
+fi
+
+set -e
+
+NAME=ode
+VERSION=0.7
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=${PKG:-$TMP/package-$NAME}
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG $TMP/$NAME-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+unzip $CWD/$NAME-src-$VERSION.zip
+cd $NAME-$VERSION
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --exec-prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-shared \
+ --disable-debug
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$NAME-$VERSION/html
+cp -a CHANGELOG* INSTALL* LICENSE* README* $PKG/usr/doc/$NAME-$VERSION
+cp -a docs/* $PKG/usr/doc/$NAME-$VERSION/html
+cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$NAME-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/ode/ode.info b/libraries/ode/ode.info
new file mode 100644
index 0000000000..ee1cad2dd3
--- /dev/null
+++ b/libraries/ode/ode.info
@@ -0,0 +1,8 @@
+PRGNAM="ode"
+VERSION="0.7"
+HOMEPAGE="http://www.ode.org"
+DOWNLOAD="http://dl.sourceforge.net/opende/ode-src-0.7.zip"
+MD5SUM="b6727fef2cbb9ca812438bb774c9d6ec"
+MAINTAINER="hollywoodb"
+EMAIL="hollywoodb@fastmail.fm"
+APPROVED="robw810"
diff --git a/libraries/ode/slack-desc b/libraries/ode/slack-desc
new file mode 100644
index 0000000000..b88a647245
--- /dev/null
+++ b/libraries/ode/slack-desc
@@ -0,0 +1,9 @@
+ |-----handy-ruler--------------------------------------------------------|
+ode: ode (library for simulating articulated rigid body dynamics)
+ode:
+ode: The Open Dynamics Engine (ODE) is a free, industrial quality library
+ode: for simulating articulated rigid body dynamics. Proven applications
+ode: include simulating ground vehicles, legged creatures, and moving
+ode: objects in VR environments. It is fast, flexible and robust, and has
+ode: built-in collision detection.
+ode: \ No newline at end of file